Back to homeCron Generatorvisual scheduler

API Docs

Cron Generator API

Use the parse API to validate cron expressions, return readable explanations, list validation errors, and preview upcoming run times.

Endpoint

GET https://crongenerator.com/api/parse?cron=*/5_*_*_*_*

Query Parameters

cronCron expression. Spaces may be passed as underscores.
expressionAlternative parameter name for the cron expression.

Example Request

curl "https://crongenerator.com/api/parse?cron=*/5_*_*_*_*"

Example Response

{
  "expression": "*/5 * * * *",
  "valid": true,
  "description": "Every 5 minutes",
  "errors": [],
  "nextRuns": [
    "2026-05-01T10:05:00.000Z",
    "2026-05-01T10:10:00.000Z"
  ]
}

Invalid Cron Response

{
  "expression": "20 18 31 2 *",
  "valid": false,
  "description": "Invalid date: February 31 does not exist.",
  "errors": ["Invalid date: February 31 does not exist."],
  "nextRuns": []
}

JavaScript Example

const response = await fetch(
  "https://crongenerator.com/api/parse?cron=*/15_*_*_*_*"
);

const data = await response.json();
console.log(data.description);

Notes